API referenceVoice

Get a voicemail

GET
/v2/voicemails/{id}

With a 5-minute signed link to the audio once it is stored (audio, else null).

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The voicemail id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

The voicemail.

application/json
  1. response
id*string

The voicemail id, which is also its call id.

Formatuuid
callId*string
Formatuuid
numberId*|
Formatuuid
from*string|null
contactId*|
Formatuuid
conversationId*|
Formatuuid
durationSecs*integer|null
listened*boolean
receivedAt*string
audio?|null
Example Request
curl -X GET 'https://app.gauge.chat/backend/v2/voicemails/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "callId": "4722cd84-0ec7-4ef5-8c34-1b0150f45f53",  "numberId": "4960e75f-5738-4a19-bb92-2459f0660f6c",  "from": "string",  "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",  "durationSecs": 0,  "listened": true,  "receivedAt": "string",  "audio": {    "url": "http://example.com",    "expiresAt": "string",    "contentType": "string",    "sizeBytes": 0  }}